﻿

/* ===================================================================
CSS information
 file name  :  toolTip.css
=================================================================== */
.invisible {
    display: none;
}

#r_side {
  position: relative;
}

p#pAddedFavoriteItemsToCart {
  padding: 20px;
  border-radius: 10px;
  width: 285px;
  height: fit-content;
  max-height: 90px;
  text-align: center;
  color: rgb(255, 255, 255);
  overflow: hidden;
  display: none;
  position: fixed;
  z-index: 9000000;
  -ms-zoom: 1;
  box-sizing: border-box;
  opacity: 0.9;
  color: #000;
  background-color: #ccc;
  -moz-border-radius: 5px;
}

p.toolTip.addCart-modal,
p.toolTipFavorite {
  margin: 0px;
  padding: 20px;
  border-radius: 10px;
  top: 108px;
  width: 285px;
  text-align: center;
  color: rgb(255, 255, 255);
  overflow: hidden;
  display: none;
  position: absolute;
  z-index: 9000000;
  -ms-zoom: 1;
  box-sizing: border-box;
  opacity: 0.9;
  color: #000;
  background-color: #ccc;
  -moz-border-radius: 5px;
}

p.toolTip a.addCart-modal,
p.toolTipFavorite a {}

p.toolTip #bt-tooltip.addCart-modal,
p.toolTipFavorite #bt-tooltip {
    float: right;
    display: block;
}

p.toolTip #bt-tooltip img.addCart-modal,
p.toolTipFavorite #bt-tooltip img {
    cursor: pointer;
}

p.toolTip #txt-tooltip.addCart-modal,
p.toolTipFavorite #txt-tooltip {
    letter-spacing: 0.02em;
    margin-bottom: 5px;
    display: block;
}

#addFavoriteTip.toolTip,
#addFavoriteTip.toolTipFavorite,
#pAddedFavoriteItemsToCart.toolTip,
#pAddedFavoriteItemsToCart.toolTipFavorite,
#addCart-modal-complete.toolTip,
#addCart-modal-complete.toolTipFavorite,
#arrivalMailLoginTip.toolTipArrivalMail {
    position: fixed;
    top: 50% !important;
    left: 50% !important;
    transform: translate(-50%, -50%);
    font-size: 13px;
}

#addFavoriteTip.toolTip>a,
#addFavoriteTip.toolTipFavorite>a,
#pAddedFavoriteItemsToCart.toolTip a,
#pAddedFavoriteItemsToCart.toolTipFavorite a,
#addCart-modal-complete.toolTip>a,
#addCart-modal-complete>a,
#addCart-modal-complete.toolTipFavorite>a,
#arrivalMailLoginTip.toolTipArrivalMail a {
    text-decoration: underline;
}

/* 改修後ログイン誘導お気に入りダイアログ */
#addCart-modal-complete.toolTip,
#addFavoriteTip.toolTip,
#addFavoriteTip.toolTipFavorite,
#addCart-modal-complete.addCart-modal-complete,
#arrivalMailLoginTip.toolTipArrivalMail {
    position: fixed !important;
    top: 0 !important;
    right: 0 !important;
    bottom: 0 !important;
    left: 0 !important;
    z-index: 2;

    display: flex;
    flex-direction: column;
    row-gap: 2ch;
    align-items: center;

    width: fit-content;
    height: fit-content;
    margin: auto;
    padding: 2ch 6ch;
    background-color: #ccc;
    border-radius: 0.6rem;

    color: #000;
    font-size: 1.3rem;

    opacity: .9;
    transform: initial !important;
}

#divProductListMultiVariationAddFavorite {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    margin: auto;
    width: 500px;
    height: fit-content;
    max-height: 90vh;
    background: #fff;
    padding: 20px 30px;
    z-index: 1000;
    font-size: 14px;
    line-height: 1.8;
    border: 1px solid #b3b3b3;
    overflow: scroll;
    height: max-content;
}

#divProductListMultiVariationAddFavorite table {
    width: 100%;
}

#divProductListMultiVariationAddFavorite table,
#divProductListMultiVariationAddFavorite tbody,
#divProductListMultiVariationAddFavorite table td {
    display: block;
}

#divProductListMultiVariationAddFavorite table tr {
    display: flex;
    justify-content: center;
    align-items: center;
}

#divProductListMultiVariationAddFavorite table tr:not(:first-child) {
    margin-top: 10px;
}

#divProductListMultiVariationAddFavorite table td img {
    width: 100%;
}

#divProductListMultiVariationAddFavorite table td:nth-child(1) {
    width: 25%;
}

#divProductListMultiVariationAddFavorite table td:nth-child(2) {
    width: 40%;
    margin: 0 10px;
    text-align: center;
}

#divProductListMultiVariationAddFavorite table td:nth-child(3) {
    width: 15%;
    text-align: center;
}

#divProductListMultiVariationAddFavorite table td:nth-child(3) img {
    width: auto;
    height: 24px;
}

#divProductListMultiVariationAddFavorite .favorite_close {
    display: inline-block;
    width: 25px;
    height: 25px;
    position: absolute;
    right: 15px;
    top: 15px;
}

#divProductListMultiVariationAddFavorite .favorite_close::before,
#divProductListMultiVariationAddFavorite .favorite_close::after {
    content: "";
    display: block;
    position: absolute;
    top: 50%;
    width: 25px;
    height: 1px;
    background-color: #000;
}

#divProductListMultiVariationAddFavorite .favorite_close::before {
    transform: translateY(-50%) rotate(-45deg);
}

#divProductListMultiVariationAddFavorite .favorite_close::after {
    transform: translateY(-50%) rotate(45deg);
}

/* -------------- TopPartsAddCartBtn -------------- */
.addCart-modal {
    --close-icon-size: 25px;
    --modal-detail-margin-inline: 1rem;
    --modal-detail-padding-block: 1.5rem;

    overflow-y: scroll;
    overscroll-behavior-y: contain;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 1000;
    box-sizing: border-box;
    width: min(60%, 800px);
    height: fit-content;
    max-height: 70vh;
    max-height: 70dvh;
    margin: auto;
    font-size: 14px;
    line-height: 1.4;
    background: #fff;
    border: 1px solid #b3b3b3;
}

.addCart-modal__ttl {
    position: sticky;
    top: 0;
    z-index: 5;
    display: grid;
    grid-template-columns:
        var(--close-icon-size) 1fr var(--close-icon-size);
    padding: 1rem 1.5rem;
    text-align: center;
    color: #fff;
    background: #000;
}

.addCart-modal__ttl-primary {
    grid-row: 1;
    grid-column: 2;
    font-size: 1.5rem;
    font-weight: 700;
}

.addCart-modal__ttl-secondary {
    grid-row: 2;
    grid-column: 2;
    font-size: 1.2rem;
    font-weight: 600;
}

.addCart-modal__ttl .addCart_close {
    position: relative;
    display: inline-block;
    grid-column: 3;
    grid-row: span 2;
    align-self: center;
    width: var(--close-icon-size);
    height: var(--close-icon-size);
}

.addCart-modal__ttl .addCart_close::before {
    content: "";
    display: block;
    width: 100%;
    aspect-ratio: 1;
    background:
        url('data:image/svg+xml;charset=utf8,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20viewBox%3D%220%20-960%20960%20960%22%20width%3D%2240%22%20height%3D%2240%22%20fill%3D%22%23fff%22%3E%3Cpath%20d%3D%22m252.615-217.232-35.383-35.383L444.616-480%20217.232-707.385l35.383-35.383L480-515.384l227.385-227.384%2035.383%2035.383L515.384-480l227.384%20227.385-35.383%2035.383L480-444.616%20252.615-217.232Z%22%2F%3E%3C%2Fsvg%3E') center / 100% no-repeat;
}


.addCart-modal__col {
    text-align: center;
}

.addCart-modal__col--button a {
    /* padding: 1.5rem 0; */
}

.addCart-modal__detail {
    display: grid;
    grid-template-columns: 10rem 1fr 18rem;
    column-gap: 2rem;
    align-items: center;
    margin-inline: var(--modal-detail-margin-inline);
    padding-block: var(--modal-detail-padding-block);
}

.addCart-modal__col--info {
    font-size: 1.6rem;
}

.addCart-modal__col--button .box-cart {
    display: grid;
    grid-template-columns: minmax(0, 1fr);
    row-gap: .5rem;
    justify-content: center;
}

.addCart-modal__col--button .btn.primary :is(a, button) {
    display: grid;
    place-items: center;
    width: 100%;
    min-height: 40px;
    height: auto;
    padding: 5px 0;
    font-size: 1.4rem;
    text-align: center;
}

.addCart-modal__col--button .btn.primary button {
    color: #fff;
    background-color: transparent;
    border: none;
    cursor: pointer;
}

p.toolTip #txt-tooltip,
p.toolTipFavorite #txt-tooltip {
    display: block;
    margin-bottom: 5px;
}

.addCart-modal__detail+.addCart-modal__detail {
    border-top: 1px solid #e8e8e8;
}

.addCart-modal-complete {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 20px;
    background-color: #fff;
    border: 1px solid #ccc;
    border-radius: 5px;
    display: none;
    z-index: 1001;
    /* カートに入れるモーダルよりも前面に表示*/
}

.addCart-modal #divProductArrivalMail {
    margin-inline: var(--modal-detail-margin-inline);
    padding-block: var(--modal-detail-padding-block);

    border-bottom: solid 1px #e8e8e8;
}

.addCart-modal #divProductArrivalMail table {
    width: 100%;
    border: solid 1px #ccc;
    border-left: none;
    border-right: none;
    margin-top: 5px;
    font-size: 12px;
}

.addCart-modal #divProductArrivalMail table th {
    padding: 10px;
    background-color: #ececec;
    border-bottom: solid 1px #ccc;
}

.addCart-modal #divProductArrivalMail table td {
    padding: 10px;
    border-top: solid 1px #ccc;
    border-bottom: solid 1px #ccc;
}

.addCart-modal #divProductArrivalMail table td input.mailAddr {
    border: #ddd solid 1px;
    width: 210px !important;
    text-align: left !important;
    height: 20px;
    border-radius: 2px;
    font-size: 12px;
    padding: 2px;
}

.addCart-modal #divProductArrivalMail ul.btmWrap {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: end;
    -ms-flex-pack: end;
    justify-content: flex-end;
}

.addCart-modal #divProductArrivalMail ul.btmWrap li {
    padding: 10px 0;
}

.addCart-modal #divProductArrivalMail ul.btmWrap .btn-next {
    display: block;
    background: #000000;
    padding: 10px 0;
    color: #ffffff;
    width: 180px;
    text-align: center;
    font-size: 14px;
    margin-left: 14px;
}

.addCart-modal .divProductArrivalMail_txt_done {
    margin-inline: var(--modal-detail-margin-inline);
    padding-block: var(--modal-detail-padding-block);
    border-bottom: solid 1px #e8e8e8;

    font-size: 14px;
    text-align: center;
}

/* -------------- TopPartsAddCartBtn -------------- */
